This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 85105 - /etc/init.d/pcmcia returns wrong exit code
/etc/init.d/pcmcia returns wrong exit code
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel-pcmcia-cs (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-02-25 14:08 EST by Cengiz Alaettinoglu
Modified: 2015-01-04 17:02 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-25 03:30:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Cengiz Alaettinoglu 2003-02-25 14:08:58 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030206

Description of problem:
the last line
case $0 in *rc.pcmcia) exit $EXITCODE ;; esac

ought to be
case $0 in *pcmcia) exit $EXITCODE ;; esac

since there is no rc. prefix in the name of the scripts in /etc/init.d. This
creates problems if for example pcmcia is added to /etc/sysconfig/apmd's
RESTORESERVICES="named pcmcia"

Cengiz


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. add RESTORESERVICES="named pcmcia" to /etc/sysconfig/apmd
2. /etc/init.d/apmd restart
3. /etc/init.d/pcmcia stop
4. suspend the laptop and then resume
    

Actual Results:  pcmcia is turned on on resume.

Expected Results:  pcmcia should be off since it was not on before going to suspend.

Additional info:

removing rc. prefix from the last line of /etc/init.d/pcmcia solves this problem.

Note You need to log in before you can comment on or make changes to this bug.